#### D.2.8.3 katsura

Procedure from library `poly.lib` (see poly_lib).

Usage:
  katsura([n]); n integer

Return:
  katsura(n) : n-th katsura ideal of
  (1) newly created and set ring (32003, x(0..n), dp), if nvars(basering) < n
  (2) basering, if nvars(basering) >= n
  katsura() : katsura ideal of basering

Example:

    LIB "poly.lib";
    ring r; basering;
    ==> //   characteristic : 32003
    ==> //   number of vars : 3
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y z
    ==> //        block   2 : ordering C
    katsura();
    ==> _[1]=x+2y+2z-1
    ==> _[2]=x2+2y2+2z2-x
    ==> _[3]=2xy+2yz-y
    katsura(4); basering;
    ==> _[1]=x(0)+2*x(1)+2*x(2)+2*x(3)-1
    ==> _[2]=x(0)^2+2*x(1)^2+2*x(2)^2+2*x(3)^2-x(0)
    ==> _[3]=2*x(0)*x(1)+2*x(1)*x(2)+2*x(2)*x(3)-x(1)
    ==> _[4]=x(1)^2+2*x(0)*x(2)+2*x(1)*x(3)-x(2)
    ==> //   characteristic : 32003
    ==> //   number of vars : 5
    ==> //        block   1 : ordering dp
    ==> //                  : names    x(0) x(1) x(2) x(3) x(4)
    ==> //        block   2 : ordering C

User manual for Singular version 4-0-3, 2016, generated by texi2html.